<script>
	let new_fil = [
		{
			post: {
				id_post: 10,
				texte: "j'ai trop hâte de voir le prochain Barbie",
				auteur: 1,
				photo: "Bisquette.jpeg",
				date: "2023-06-29T14:24:43+02:00",
				type: "Article",
				media: "",
				pseudo: "Bisquette",
				up: 1,
				down: null,
				propreVote: 1,
			},
			commentaire: [
				{
					id_commentaire_post: 14,
					contenu: "azerty",
					id_user: 1,
					pseudo: "Bisquette",
					photo: "Bisquette.jpeg",
					date: "2023-07-10T16:10:02+02:00",
					media: "",
					up: null,
					down: null,
				},
				{
					id_commentaire_post: 13,
					contenu: "oui",
					id_user: 1,
					pseudo: "Bisquette",
					photo: "Bisquette.jpeg",
					date: "2023-07-06T16:34:00+02:00",
					media: "",
					up: 1,
					down: null,
				},
				{
					id_commentaire_post: 12,
					contenu:
						"moi aussi !!!! y'a Margot Robbie en plus dedans hehe",
					id_user: 3,
					pseudo: "Sakééééé",
					photo: null,
					date: "2023-06-30T09:41:08+02:00",
					media: "",
					up: null,
					down: 1,
				},
			],
		},
		{
			post: {
				id_post: 6,
				texte: "J'aime bien le film Death Note",
				auteur: 2,
				photo: null,
				date: "2023-06-23T13:13:18+02:00",
				type: "Débat",
				media: "",
				pseudo: "Saké",
				up: 1,
				down: null,
				propreVote: null,
			},
			commentaire: [],
		},
		{
			post: {
				id_post: 2,
				texte: "Pourquoi les gens aiment bien Tarantino ? Je ne comprends absolument rien à ces films",
				auteur: 4,
				photo: null,
				date: "2023-06-20T10:54:42+02:00",
				type: "Article",
				media: "",
				pseudo: "Biscotte",
				up: 1,
				down: null,
				propreVote: 1,
			},
			commentaire: [
				{
					id_commentaire_post: 4,
					contenu: "wesh ?",
					id_user: 1,
					pseudo: "Bisquette",
					photo: "Bisquette.jpeg",
					date: "2023-06-28T09:18:09+02:00",
					media: "",
					up: null,
					down: null,
					propreVote: null,
				},
				{
					id_commentaire_post: 2,
					contenu:
						"Pulp Fiction est le meilleur de ses films avec une intrigue déstructuré qui transforme l'histoire en puzzle à reconstruire pièce par pièce pour former un scénario grandiose !",
					id_user: 3,
					pseudo: "Sakééééé",
					photo: null,
					date: "2023-06-27T17:36:12+02:00",
					media: "",
					up: null,
					down: 2,
					propreVote: -1,
				},
			],
		},
	];

	function getSource(filename) {
		return `/profil_pictures/${filename}`;
	}
</script>

<body>
	<div class="content">
		<h1>Fil d'actualités</h1>

		{#each new_fil as post}
			<div class="container">
				<div class="row post">
					<div class="col-2 text-center infos_utilisateurs">
						<form method="POST">
							<div>
								{#if !!post.post.photo}
									<img
										class="profil_photo"
										src={getSource(post.post.photo)}
										alt="profile_picture"
									/>
								{:else}
									<img
										class="profil_photo"
										src="/icon/defaut_photo_profil.png"
										alt="profile_picture"
									/>
								{/if}
							</div>
							<div
								class="d-flex align-content-center justify-content-center"
							>
								{post.post.type} de&nbsp
								<button
									type="submit"
									name="page"
									class="btn btn-link"
									value={post.post.auteur}
									>{post.post.pseudo}</button
								>
							</div>
							{post.post.date}
						</form>
					</div>
					<div class="post_text">
						<div class="row col-8 text-center">
							<div>{post.post.texte}</div>
						</div>

						<form method="POST" class="col-2 row vote">
							<div class="text-right">
								<div>
									{post.post.up || 0}

									{#if post.post.propreVote == 1}
										<button
											style="background-color: transparent; border: none; outline: none;"
											type="submit"
											name="up"
											value={post.post.id_post}
										>
											<img
												class="button-up"
												src="/pics/page_up_cut.png"
												alt=""
											/>
										</button>
									{:else}
										<button
											style="background-color: transparent; border: none; outline: none;"
											type="submit"
											name="up"
											value={post.post.id_post}
										>
											<img
												class="button-up"
												src="/pics/page_up_already_cut.png"
												alt=""
											/>
										</button>
									{/if}

									{#if post.post.propreVote == -1}
										<button
											style="background-color: transparent; border: none; outline: none;"
											type="submit"
											name="down"
											value={post.post.id_post}
										>
											<img
												class="button-down"
												src="/pics/page_down_cut.png"
												alt=""
											/>
										</button>
									{:else}
										<button
											style="background-color: transparent; border: none; outline: none;"
											type="submit"
											name="down"
											value={post.post.id_post}
										>
											<img
												class="button-down"
												src="/pics/page_down_already_cut.png"
												alt=""
											/>
										</button>
									{/if}

									{post.post.down || 0}
								</div>
							</div>
						</form>
					</div>
				</div>
				<form method="POST" class="mt-auto col-4 com_input">
					<div class="col-6 text-center">
						<div>
							<input id="comment" type="text" name="comment" />
							<button
								type="submit"
								name="post"
								value={post.post.id_post}
							/>
						</div>
					</div>
				</form>

				<form method="post" class="row col-10 coms">
					{#each post.commentaire as comm}
						<div class="col-2" />
						<div class="col-4">
							{#if !!comm.photo}
								<img
									class="profil_photo"
									src={getSource(comm.photo)}
									alt="profile_picture"
								/>
							{:else}
								<img
									class="profil_photo"
									src="/icon/defaut_photo_profil.png"
									alt="profile_picture"
								/>
							{/if}
							{comm.pseudo}
							{comm.date}
						</div>

						<div class="col-6 d-flex justify-content-end">
							<div class="">
								----- {comm.contenu}
							</div>
							<div class="mt-auto">
								----- {comm.up || 0}

								{#if comm.propreVote == 1}
									<button
										type="submit"
										name="up_comm"
										class="button"
										value={comm.id_commentaire_post}
									>
										<img
											class="button-up"
											src="/pics/page_up_cut.png"
											alt="up"
										/>
									</button>
								{:else}
									<button
										type="submit"
										name="up_comm"
										class="button"
										value={comm.id_commentaire_post}
									>
										<img
											class="button-up"
											src="/pics/page_up_already_cut.png"
											alt="alreadyup"
										/>
									</button>
								{/if}
								{#if comm.propreVote == -1}
									<button
										type="submit"
										name="down_comm"
										class="button"
										value={comm.id_commentaire_post}
									>
										<img
											class="button-down"
											src="/pics/page_down_already_cut.png"
											alt="down"
										/>
									</button>
								{:else}
									<button
										type="submit"
										name="down_comm"
										class="button"
										value={comm.id_commentaire_post}
									>
										<img
											class="button-down"
											src="/pics/page_down_cut.png"
											alt="already"
										/>
									</button>
								{/if}

								{comm.down || 0}
							</div>
						</div>
					{/each}
				</form>
			</div>
		{/each}
	</div>
</body>

<style>
	html {
		margin: 0;
		padding: 0;
		height: 100%;
		width: 100%;
	}
	body {
		display: flex;
		flex-direction: column;
		align-items: center;
	}
	.profil_photo {
		border-radius: 50%;
		width: 60px;
		height: 60px;
		object-fit: cover;
		margin-left: 10px;
		margin-right: 10px;
	}
	.row {
		border-radius: 10px;
		border: 10px solid black;
		background-color: red;
	}
	.post {
		border-radius: 20px;
		border: 10px solid black;
		background-color: blue;
		flex-wrap: nowrap;
	}
	.post_text {
		position: relative;
		float: center;
	}
	.com_input {
		border-radius: 10px;
		border: 10px solid black;
		background-color: green;
	}
	
	.coms {
		
	}
	
	.infos_utilisateurs {
		margin-top: 2vh;
		margin-bottom: 2vh;
	}
	.vote {
		
	}
	.button-up {
		width: 30px;
		height: 30px;
		background-color: transparent;
		border-color: transparent;
	}
	.button-down {
		width: 30px;
		height: 30px;
		background-color: transparent;
		border-color: transparent;
	}
	.button {
		background-color: transparent;
		border: none;
		outline: none;
	}
</style>
